xn::ModuleGenerator Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleGenerator:
[legend]

## Public Member Functions

virtual | ~ModuleGenerator ()
virtual XnStatus | StartGenerating ()=0
virtual XnBool | IsGenerating ()=0
virtual void | StopGenerating ()=0
virtual XnStatus | RegisterToGenerationRunningChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGenerationRunningChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToNewDataAvailable (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromNewDataAvailable (XnCallbackHandle hCallback)=0
virtual XnBool | IsNewDataAvailable (XnUInt64 &nTimestamp)=0
virtual XnStatus | UpdateData ()=0
virtual const void * | GetData ()=0
virtual XnUInt32 | GetDataSize ()=0
virtual XnUInt64 | GetTimestamp ()=0
virtual XnUInt32 | GetFrameID ()=0
virtual ModuleMirrorInterface * | GetMirrorInterface ()
virtual ModuleAlternativeViewPointInterface * | GetAlternativeViewPointInterface ()
virtual ModuleFrameSyncInterface * | GetFrameSyncInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleGenerator()

virtual xn::ModuleGenerator::~ModuleGenerator | ( |  | ) |

inline virtual

## Member Function Documentation

## GetAlternativeViewPointInterface()

virtual ModuleAlternativeViewPointInterface * xn::ModuleGenerator::GetAlternativeViewPointInterface | ( |  | ) |

inline virtual

## GetData()

virtual const void * xn::ModuleGenerator::GetData | ( |  | ) |

pure virtual

Implemented in xn::ModuleAudioGenerator, xn::ModuleDepthGenerator, xn::ModuleGestureGenerator, xn::ModuleHandsGenerator, xn::ModuleImageGenerator, xn::ModuleIRGenerator, xn::ModuleSceneAnalyzer, and xn::ModuleUserGenerator.

## GetDataSize()

virtual XnUInt32 xn::ModuleGenerator::GetDataSize | ( |  | ) |

pure virtual

## GetFrameID()

virtual XnUInt32 xn::ModuleGenerator::GetFrameID | ( |  | ) |

pure virtual

## GetFrameSyncInterface()

virtual ModuleFrameSyncInterface * xn::ModuleGenerator::GetFrameSyncInterface | ( |  | ) |

inline virtual

## GetMirrorInterface()

virtual ModuleMirrorInterface * xn::ModuleGenerator::GetMirrorInterface | ( |  | ) |

inline virtual

## GetTimestamp()

virtual XnUInt64 xn::ModuleGenerator::GetTimestamp | ( |  | ) |

pure virtual

## IsGenerating()

virtual XnBool xn::ModuleGenerator::IsGenerating | ( |  | ) |

pure virtual

## IsNewDataAvailable()

virtual XnBool xn::ModuleGenerator::IsNewDataAvailable | ( | XnUInt64 & | nTimestamp | ) |

pure virtual

## RegisterToGenerationRunningChange()

virtual XnStatus xn::ModuleGenerator::RegisterToGenerationRunningChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToNewDataAvailable()

virtual XnStatus xn::ModuleGenerator::RegisterToNewDataAvailable | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## StartGenerating()

virtual XnStatus xn::ModuleGenerator::StartGenerating | ( |  | ) |

pure virtual

## StopGenerating()

virtual void xn::ModuleGenerator::StopGenerating | ( |  | ) |

pure virtual

## UnregisterFromGenerationRunningChange()

virtual void xn::ModuleGenerator::UnregisterFromGenerationRunningChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromNewDataAvailable()

virtual void xn::ModuleGenerator::UnregisterFromNewDataAvailable | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UpdateData()

virtual XnStatus xn::ModuleGenerator::UpdateData | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h